summaryrefslogtreecommitdiffstats
path: root/test/testvds_env.sh.in
diff options
context:
space:
mode:
authorRay Lu <songyulu@hdfgroup.org>2019-04-18 15:25:18 (GMT)
committerRay Lu <songyulu@hdfgroup.org>2019-04-18 15:25:18 (GMT)
commitbdb11caa5372a0bec531b38497891934b6cefa9b (patch)
treeb0571082a09cbe54295f9f67cbd71cf936ffe9b4 /test/testvds_env.sh.in
parent90efe04beef7073edbe2d5cc5adc535ed3d6ce80 (diff)
parentb5ef82a1786605ae86502bc82086047720b7d4ca (diff)
downloadhdf5-bdb11caa5372a0bec531b38497891934b6cefa9b.zip
hdf5-bdb11caa5372a0bec531b38497891934b6cefa9b.tar.gz
hdf5-bdb11caa5372a0bec531b38497891934b6cefa9b.tar.bz2
Merge pull request #1600 in HDFFV/hdf5 from ~SONGYULU/hdf5_ray:HDFFV-10658-performance-drop-from-1-8 to develop
* commit 'b5ef82a1786605ae86502bc82086047720b7d4ca': (21 commits) Moving the handling of null prefix into H5_combine_path. Changing the prefix of external file and VDS from empty string to null for performance improvement. Improving the condition checking of empty string. Replacing string operation strdup with assignment for empty string. Adding back links_env.out which I accidentally removed in my previous commit. Taking out two unnecessary diff output files. Taking out unnecessary diff files for output. Adding some comments. Some coding style changes. Adding the standard output files for the external_env.c and vds_env.c tests. Small correction for my previous commit. Forgot to add external_common.c and external_common.h. Updated CMake for the splitting of external.c and vds.c. Minor fix: removal of unnecessary enum values. Minor fixes: updating the test vds_env.c according to the set up of vds.c. Left out this file in previous commit. HDFFV-10658 - setting and getting properties in API context: 1. switched to use the existing H5F_prefix_open_t for enum type; 2. put the common private function used by external.c and external_env.c into external_common.c This commit basically has the following changes: 1. restored the datatype, dataspace, and LCPL of the dataset for VOL connector back to the properties. 2. splitted external.c and vds.c because they called HDsetenv in the program, instead using shell scripts to set the environment variables. 3. changed H5CX_get_vds_prefix and H5CX_get_ext_file_prefix to use H5P_peek instead of H5P_get. HDFFV-10658: I left out this file in my previous commit. HDFFV-10658: 1. moving HDgetenv to dataset initialization stage to reduce the overhead; 2. restoring the retrieval of three vol properties to H5P_get instead of using API context to prepare for Quincey's upcoming refactoring work. ...
Diffstat (limited to 'test/testvds_env.sh.in')
-rw-r--r--test/testvds_env.sh.in44
1 files changed, 44 insertions, 0 deletions
diff --git a/test/testvds_env.sh.in b/test/testvds_env.sh.in
new file mode 100644
index 0000000..894e52e
--- /dev/null
+++ b/test/testvds_env.sh.in
@@ -0,0 +1,44 @@
+#! /bin/sh
+#
+# Copyright by The HDF Group.
+# Copyright by the Board of Trustees of the University of Illinois.
+# All rights reserved.
+#
+# This file is part of HDF5. The full HDF5 copyright notice, including
+# terms governing use, modification, and redistribution, is contained in
+# the COPYING file, which can be found at the root of the source code
+# distribution tree, or in https://support.hdfgroup.org/ftp/HDF5/releases.
+# If you do not have access to either file, you may request a copy from
+# help@hdfgroup.org.
+#
+# Test for external file with environment variable: HDF5_VDS_PREFIX
+
+srcdir=@srcdir@
+
+nerrors=0
+
+##############################################################################
+##############################################################################
+### T H E T E S T S ###
+##############################################################################
+##############################################################################
+
+# test for VDS with HDF5_VDS_PREFIX
+echo "Testing basic virtual dataset I/O via H5Pset_vds_prefix(): all selection with ENV prefix"
+TEST_NAME=vds_env # The test name
+TEST_BIN=`pwd`/$TEST_NAME # The path of the test binary
+ENVCMD="env HDF5_VDS_PREFIX=\${ORIGIN}/tmp" # Set the environment variable & value
+UNENVCMD="unset HDF5_VDS_PREFIX" # Unset the environment variable & value
+#
+# Run the test
+# echo "$ENVCMD $RUNSERIAL $TEST_BIN"
+$ENVCMD $RUNSERIAL $TEST_BIN
+exitcode=$?
+if [ $exitcode -eq 0 ]; then
+ echo "Test prefix for HDF5_VDS_PREFIX PASSED"
+ else
+ nerrors="`expr $nerrors + 1`"
+ echo "***Error encountered for HDF5_VDS_PREFIX test***"
+fi
+$UNENVCMD
+exit $nerrors